| Flutter Linux Embedder |

Functions
fl_message_codec.cc File Reference
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_message_codec.h"`
`#include <gmodule.h>`

Go to the source code of this file.

## Functions
static void | fl_message_codec_class_init (FlMessageCodecClass *klass)
static void | fl_message_codec_init (FlMessageCodec *self)
G_MODULE_EXPORT GBytes * | fl_message_codec_encode_message (FlMessageCodec *self, FlValue *message, GError **error)
G_MODULE_EXPORT FlValue * | fl_message_codec_decode_message (FlMessageCodec *self, GBytes *message, GError **error)

## Function Documentation

## ◆ fl_message_codec_class_init()

static void fl_message_codec_class_init | ( | FlMessageCodecClass * | klass | ) |
| static

Definition at line 13 of file fl_message_codec.cc.

13 {}

## ◆ fl_message_codec_decode_message()

G_MODULE_EXPORT FlValue* fl_message_codec_decode_message | ( | FlMessageCodec * | codec,
|  | GBytes * | message,
|  | GError ** | error
| ) |  |

fl_message_codec_decode_message: @codec: an #FlMessageCodec. @message: binary message to decode. @error: (allow-none): #GError location to store the error occurring, or NULL. If `error` is not NULL, `*error` must be initialized (typically NULL, but an error from a previous call using GLib error handling is explicitly valid).

Decodes a message from a binary encoding.

Returns: an FlValue or NULL on error.

Definition at line 33 of file fl_message_codec.cc.

35 {
36 g_return_val_if_fail(FL_IS_MESSAGE_CODEC(self), nullptr);
37 g_return_val_if_fail(message != nullptr, nullptr);
38
39 return FL_MESSAGE_CODEC_GET_CLASS(self)->decode_message(self, message, error);
40 }
message
const char * message
Definition: fl_accessibility_handler.cc:21
error
const uint8_t uint32_t uint32_t GError ** error
Definition: fl_pixel_buffer_texture_test.cc:40

References error, and message.

Referenced by decode_error_value(), decode_message(), decode_message_with_codec(), decode_semantic_data(), fl_basic_message_channel_send_finish(), fl_json_method_codec_decode_method_call(), fl_json_method_codec_decode_response(), message_cb(), and TEST().

## ◆ fl_message_codec_encode_message()

G_MODULE_EXPORT GBytes* fl_message_codec_encode_message | ( | FlMessageCodec * | codec,
|  | FlValue * | message,
|  | GError ** | error
| ) |  |

fl_message_codec_encode_message: @codec: an #FlMessageCodec. @buffer: buffer to write to. @message: message to encode or NULL to encode the null value. @error: (allow-none): #GError location to store the error occurring, or NULL. If `error` is not NULL, `*error` must be initialized (typically NULL, but an error from a previous call using GLib error handling is explicitly valid).

Encodes a message into a binary representation.

Returns: a binary encoded message or NULL on error.

Definition at line 17 of file fl_message_codec.cc.

19 {
20 g_return_val_if_fail(FL_IS_MESSAGE_CODEC(self), nullptr);
21
22 // If the user provided NULL, then make a temporary FlValue object for this to
23 // make it simpler for the subclasses.
24 g_autoptr(FlValue) null_value = nullptr;
25 if (message == nullptr) {
26 null_value = fl_value_new_null();
27 message = null_value;
28 }
29
30 return FL_MESSAGE_CODEC_GET_CLASS(self)->encode_message(self, message, error);
31 }
g_autoptr
g_autoptr(FlEngine) engine
fl_value_new_null
G_MODULE_EXPORT FlValue * fl_value_new_null()
Definition: fl_value.cc:251
FlValue
typedefG_BEGIN_DECLS struct _FlValue FlValue
Definition: fl_value.h:42

References error, fl_value_new_null(), g_autoptr(), and message.

Referenced by encode_message(), encode_message_error(), encode_message_with_codec(), fl_accessible_text_field_perform_action(), fl_basic_message_channel_respond(), fl_basic_message_channel_send(), fl_json_method_codec_encode_error_envelope(), fl_json_method_codec_encode_method_call(), fl_json_method_codec_encode_success_envelope(), perform_set_selection_action(), perform_set_text_action(), send_lifecycle_state(), and TEST().

## ◆ fl_message_codec_init()

static void fl_message_codec_init | ( | FlMessageCodec * | self | ) |
| static

Definition at line 15 of file fl_message_codec.cc.

15 {}